package com.tofly.ghrq_route.module.pipeAnalyze.domain;

import java.util.List;

/**
 * Created by li on 2017/1/15.
 */

public class LayerResultBean {


    /**
     * id : 0
     * name : 管线层
     * parentLayerId : -1
     * defaultVisibility : true
     * subLayerIds : [1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16]
     * minScale : 0
     * maxScale : 0
     */

    private int id;
    private String name;
    private int parentLayerId;
    private boolean defaultVisibility;
    private int minScale;
    private int maxScale;
    private List<Integer> subLayerIds;

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public int getParentLayerId() {
        return parentLayerId;
    }

    public void setParentLayerId(int parentLayerId) {
        this.parentLayerId = parentLayerId;
    }

    public boolean isDefaultVisibility() {
        return defaultVisibility;
    }

    public void setDefaultVisibility(boolean defaultVisibility) {
        this.defaultVisibility = defaultVisibility;
    }

    public int getMinScale() {
        return minScale;
    }

    public void setMinScale(int minScale) {
        this.minScale = minScale;
    }

    public int getMaxScale() {
        return maxScale;
    }

    public void setMaxScale(int maxScale) {
        this.maxScale = maxScale;
    }

    public List<Integer> getSubLayerIds() {
        return subLayerIds;
    }

    public void setSubLayerIds(List<Integer> subLayerIds) {
        this.subLayerIds = subLayerIds;
    }
}
